package ldif

import (
	"fmt"

	"github.com/spf13/cobra"
)

var (
	// ldif subcommand arguments
	flagLdifFilePath string
)

func init() {
	// register LDIF command and its subcommands
	LdifCmd.AddCommand(ldifAddCmd, ldifDeleteCmd)
}

// define ldif subcommand
var LdifCmd = &cobra.Command{
	Use:   "ldif",
	Short: "Import an LDIF file",
	Long:  `Manage LDAP resources using an LDIF file.`,
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Println("Available LDIF subcommands are: add, delete")
	},
}
